Library Version 18.1.40

DB->get_flags()
Prev | Chapter 2. The DB Handle | Next

## DB->get_flags()

    #include <db.h>

    int
    DB->get_flags(DB *db, u_int32_t *flagsp);

The `DB->get_flags()` method returns the current database flags as set by the DB->set_flags() method.

The `DB->get_flags()` method may be called at any time during the life of the application.

The `DB->get_flags()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### flagsp

The `DB->get_flags()` method returns the current flags in flagsp.

### Class

DB

### See Also

Database and Related Methods, DB->set_flags()

Prev | Up | Next
DB->get_errpfx() | Home | DB->get_h_ffactor()